打印

lnmp安装失败

lnmp安装失败

ubuntu 版本 16.4.3
STL  X64
附件: 您所在的用户组无法下载或查看附件

TOP

目前错误

--- in.vpser.net ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2002ms
rtt min/avg/max/mdev = 45.767/47.922/50.904/2.184 ms
Try http://soft2.vpser.net ...
include/main.sh: line 578: curl: command not found
Try http://soft1.vpser.net ...
include/main.sh: line 584: curl: command not found
Can not connect to download mirror,Please modify lnmp.conf manually.
More info,please visit https://lnmp.org/faq/download-url.html

TOP

首先你这个是aarch64是无法直接安装的,可以参考: 修改 https://bbs.vpser.net/thread-17356-1-1.html 修改
其次
引用:
Reading package lists...
W: The repository 'http://extras.ubuntu.com/ubuntu xenial Release' does not have a Release file.
E: Failed to fetch http://extras.ubuntu.com/ubuntu/ ... nary-arm64/Packages  404  Not Found [IP: 91.189.92.152 80]
E: Failed to fetch http://cn.archive.ubuntu.com/ubu ... nary-arm64/Packages  404  Not Found [IP: 91.189.91.23 80]
E: Failed to fetch http://cn.archive.ubuntu.com/ubu ... nary-arm64/Packages  404  Not Found [IP: 91.189.91.23 80]
E: Failed to fetch http://cn.archive.ubuntu.com/ubu ... nary-arm64/Packages  404  Not Found [IP: 91.189.91.23 80]
E: Failed to fetch http://cn.archive.ubuntu.com/ubu ... nary-arm64/Packages  404  Not Found [IP: 91.189.91.23 80]
E: Failed to fetch http://cn.archive.ubuntu.com/ubu ... nary-arm64/Packages  404  Not Found [IP: 91.189.91.23 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
Package make is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Unable to locate package build-essential
E: Unable to locate package gcc
你系统源有问题,国内的源上根本就没aarch64的源,得你自己找到有aarch64的源才能安装依赖包

之前curl正常,curl命令被卸载了肯定就报错

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP